//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class Image
    {
        public int ImageId { get; set; }
        public Nullable<int> ProductId { get; set; }
        public string ImageName { get; set; }
        public bool Default { get; set; }
        public Nullable<int> ColorId { get; set; }
        public int Orientation { get; set; }
    
        public virtual Color Color { get; set; }
        public virtual Product Product { get; set; }
    }
}
